<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann

  // nouvelle inscription d'un client

  session_start(); //démarrage de la session
  
  include("../../params.php"); //prise en compte des paramètres
  
  include("../../i18n.php"); //Internationalisation
  
  //Transitionel mieux que strict !, tout en majuscule sauf html (convention de nommage)
  
  echo 
  "<?xml version='1.1' encoding='iso-8859-1' ?>
  <!DOCTYPE html PUBLIC '-//W3C//DTD XHTML 1.0 Transitional//EN'
  'http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd'>
  <html xml:lang='$lang' lang='$lang' xmlns='http://www.w3.org/1999/xhtml'>";

  include("../../keywords.php"); //inclue les mots-clés
  
  $TailleTabTotalKeywords = sizeof($TabTotalKeywords)-1;
  
  echo"
  <head>";
  
    include("../../licence.php"); //La licence GNU GPL (placé ici pour IE)
    
    echo "<title>";
    
    echo "".$TabTotalKeywords[mt_rand(0,$TailleTabTotalKeywords )].",";
    for($i=1;$i<=6;$i++){
      echo " ".$TabTotalKeywords[mt_rand(0,$TailleTabTotalKeywords )].",";
    }
    echo " ".$TabTotalKeywords[mt_rand(0,$TailleTabTotalKeywords )]." </title>";
    
    include('../../meta.php'); //inclue aussi les balises meta (pour le référencement)
    
    //Utilisation de CSS externe 
    $PositionArr = strpos($_SERVER["SCRIPT_NAME"], "freepay/"); /* trouve la pos d'un cara */
    $PositionMilieu = substr($_SERVER["SCRIPT_NAME"], 0, $PositionArr+8); /* extraction de chaine */
    $AdresseFreePay = 'http://'.$_SERVER['HTTP_HOST'].$PositionMilieu.'';
    
    //Utilisation de CSS externe
    echo "<link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/haut.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/menu.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/corps.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/messages.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/tableaux.css' />
    <link rel='stylesheet' media='screen' type='text/css' title='index' href='".$AdresseFreePay."style/bas.css' />
    
    
  </head>
  
  <body>";

echo "
  
  <p><br/><br/><br/></p>
  ";
  
    echo "<div class='erreur_haut'>";
  
  	if( isset($host,$user,$password) ){
  		$connexion = @mysql_connect($host,$user,$password);  // Connexion au serveur (A clarifier)

  		if(!$connexion){
    echo "<p class='info'><strong>La connexion à échoué.</strong> L'hôte (ligne 23), l'utilisateur (ligne 24) ou le mot de passe (ligne 25) du fichier params.php est invalide.</p>";
  		}
	}
  
  //Si la fenetre n'est pas en 1024 par 768, ne pas redimensionner en 1024 par 768
  
  echo "</div>
  "; 

  //si le navigateur est Firefox
  
  $ExistMailCli = false; //l'existence n'a pas été prouvée dès le départ
  
  include("../../services/iban/ECBS_TR_201.php");
  
  //vérifie si les données ont été envoyés de l'extérieur
  
  if( !empty($_GET['mailcli']) ) { $mailcli = str_replace(" ", "", $_GET['mailcli']);  }
  
  if( !empty($_GET['mdpcli']) ) { $mdpcli = $_GET['mdpcli']; }
  
  if( !empty($_GET['numpayscli']) ) {  $numpayscli = $_GET['numpayscli']; }
    
  //vérifie si les données ont été envoyés de l'intérieur
  
  if( !empty($_POST['mailcli']) ) { $mailcli = substr(addslashes(htmlentities(strip_tags(str_replace(" ", "", $_POST['mailcli'])))),0,40); }
  
  if( !empty($_POST['mdpcli']) ) { $mdpcli = htmlentities(strip_tags($_POST['mdpcli'])); }
    
  if( !empty($_POST['numpayscli']) ) { $numpayscli = $_POST['numpayscli']; }
    
    if(!empty($mailcli) and !empty($mdpcli))
    {
      
      //il n'y a pas a vérifier que les sessions sont pleines puisqu'il s'inscrit
     
      if (strpos($mailcli, '@') and strpos($mailcli, '.'))// si le mail contient un @ et un point
      { 
       
        if ($connexion)// si connexion à la base réussi
        {	
          mysql_select_db($base,$connexion);
          
          //vérification que le mail n'existe pas déjà
           
          $requete="Select * from freepay_client;"; //selection des clients
          
          $resultat = mysql_query($requete,$connexion);
          
          if($resultat){
            
            $ligne=mysql_fetch_assoc(mysql_query($requete,$connexion)); //affichage des résultats
            
            while($ligne) //comparaison jusqu'à la fin
            {
              if ($ligne['mailcli'] == $mailcli){
                $ExistMailCli=true;
              }
              
              $ligne=mysql_fetch_assoc($resultat);
            }
            
            if (false == $ExistMailCli)  //si l'identifiant n'existe pas dans la base
            {
              //affectation des $_POST dans des variables
              $numpays = $_POST['numpayscli'];
              $codepayscli = $TCodePays[$numpays];
              
              //cryptage par md5
              $md5mdpcli = md5($mdpcli);
              
              //insertion dans la base (le montant est à 10 euros en version béta)
              mysql_query("INSERT INTO freepay_client values ('$mailcli', '".$md5mdpcli."', '', '', '', '', '', '$codepayscli', '', '10', '".date("Y")."-".date("m")."-".date("j")." ".date("H").":".date("i").":".date("s")."')");
              
              //mise des valeurs dans les variables de sessions
              $_SESSION["mailcli"] = $mailcli;
              $_SESSION["mdpcli"] = $mdpcli;
              $_SESSION["nomcli"] = '';
              $_SESSION["prenomcli"] = '';
              $_SESSION["adresscli"] = '';
              $_SESSION["cpcli"] = '';
              $_SESSION["villecli"] = '';
              $_SESSION["payscli"] = $codepayscli;
              $_SESSION["telcli"] = '';
              $_SESSION["montantcompte"] = '10';
              $_SESSION["datecreationcompte"] = '.date("Y").'-'.date("m").'-'.date("j").';
              $_SESSION["devise"] = $NomDevise;
              
              include("../../services/iban/iban_gen.php"); // Inclure la Génération IBAN automatique (random)
              include("../../services/cb/cb_gen.php"); // Inclure la génération de numéro de carte bancaire "GNU Free Card"
              
              //Courriel récapitulatif : ne pas mettre le mot de passe en environnement de prod
              
              if("localhost" != $_SERVER['HTTP_HOST']){ //pas d'envoi de mail en local
              
                $destinataire = $_SESSION["mailcli"];
                $objet = "Création de votre compte ".$_SESSION['mailcli']." sur ".$_SERVER['HTTP_HOST']."";
                $message = "Bonjour,\n\nBienvenue sur ".$_SERVER['HTTP_HOST'].", une solution libre de financement sur Internet.\n\nVotre identifiant est ".$_SESSION['mailcli']."\n\nVotre Numéro de Compte Bancaire International est (IBAN) est $IBAN\n\nVotre Relevé d'Identité Bancaire (RIB) est $RIB\n\nVotre numéro de carte bancaire est ".substr($CCN, 0, 4)."-".substr($CCN, 4, 4)."-".substr($CCN, 8, 4)."-".substr($CCN, 12, 4)."\n\nVous pouvez dès à présent consulter votre compte à l'adresse ".$AdresseFreePay."support/client/connexion.php?mailcli=$mailcli&mdpcli=$mdpcli\n\nCordialement,\n\nL'équipe ".$_SERVER['HTTP_HOST']."\n\n".$AdresseFreePay."";
                $headers = "From: Info FreePay <postmaster@".$_SERVER['HTTP_HOST'].">\r\n";

                if (mail($destinataire, $objet, $message, $headers)) { } // si envoyé
                
              }
              
              echo '<meta http-equiv="refresh" content="0; url='.$AdresseFreePay.'nav_mon_compte.php">';
            }
          }
        }
      }
    }
      
     include("client_ajouter_interface.php"); 
    
  
?>
